Transcript LOL API
PATCH
/spaces/{spaceId}/speakers/{speakerId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace.

speakerId*string

ID of the speaker to update.

Request Body

application/json

Updated speaker details

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://transcript.lol/api/v1/spaces/string/speakers/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "role": "HOST"  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "name": "string",
  "role": "HOST",
  "workspaceId": "string",
  "imageId": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}